﻿#region Copyright Syncfusion Inc. 2001 - 2011
// Copyright Syncfusion Inc. 2001 - 2010. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Syncfusion.Windows.Controls.Grid;
using System.Dynamic;
using System.Collections;
using System.Globalization;


namespace DynamicObjectsDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();        

            GridDataVisibleColumn column1 = new GridDataVisibleColumn() { MappingName = "Model", HeaderText = "Model Name" };
            GridDataVisibleColumn column2 = new GridDataVisibleColumn() { MappingName = "Manufacturer", HeaderText = "Manufacturer Name" };
            GridDataVisibleColumn column4 = new GridDataVisibleColumn() { HeaderText = "Price" , MappingName="Price"};            

            this.dataGrid.VisibleColumns.Add(column1);
            this.dataGrid.VisibleColumns.Add(column2);
            this.dataGrid.VisibleColumns.Add(column4);                   

            ViewModel vm = new ViewModel();
            dataGrid.ItemsSource = vm.Data;
        }
    }
}
